This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 331361 - Anaconda file livecd.py has a bug
Anaconda file livecd.py has a bug
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-14 10:48 EDT by Konstantin Dmitryev
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 09:58:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Dmitryev 2007-10-14 10:48:28 EDT
Description of problem:

In version 11.2.0.66 in file livecd.py line 93:
log.error("unable to unmount %s: %s" %(d, e))

But there is no such variable - d. The line 93 must be replaced with:
log.error("unable to unmount %s: %s" %(dir, e))


Version-Release number of selected component (if applicable):

11.2.0.66

How reproducible:

everytime


Steps to Reproduce:
1. look to livecd.py
  
Actual results:
The anaconda will crash if it can't unmount some partition

Expected results:
Anaconda must just log an error


Additional info:
Please fix and post to updates. I discovered this bug, during building custom
Live Fedora image.
Comment 1 Chris Lumens 2007-10-15 09:58:46 EDT
This is fixed in test releases of F8.
Comment 2 Konstantin Dmitryev 2007-10-22 21:51:10 EDT
*grrrr*
Maybe there is a reason to release update package for fedora 7 for those who are
not going to update to fedora 8?

Note You need to log in before you can comment on or make changes to this bug.